#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-2vhEE3owSJd2JaPRlmxXhF
key:                  hls-refactor-plugin-1.2.0.0-2vhEE3owSJd2JaPRlmxXhF
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  c4ecb9010059454ce624c0f4c8897f89
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-2vhEE3owSJd2JaPRlmxXhF
depends:
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-CDnJ4IIZiy49QmNU3HquQ1
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-EhuuAzC8u9QHyfNeVkJASW
    ghcide-1.10.0.0-LUOZfaZsPo92GAjJrHasb
    hls-graph-1.9.0.0-8EiuD2CrxpL8PHxea8E5Cv
    hls-plugin-api-1.6.0.0-IlaR5sSrdwK8yu9HE27Hij
    lens-5.2.3-3BG1BTsYajWH51jWMi4vYO
    lsp-1.6.0.0-DT4gnHhljAEFkxKkAe5FzR mtl-2.2.2
    regex-tdfa-1.3.2.2-Jqk1ZMahmcyCwODZUJ39zs
    retrie-1.2.3-2CxiDz8xR9TGxRhaThEU32
    syb-0.7.2.4-Dpcmd8sO2dOH7fqJn9vSHY text-1.2.5.0
    text-rope-0.3-LZt80bPykpFtOYXyIwkxD time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

